## dde-session-shell 6.0.38

=== src/pam-inhibit-autologin/CMakeLists.txt ===
set(PAM_LIB_NAME "pam_inhibit_autologin")

file(GLOB_RECURSE LIB_SRCS
    "*.h"
    "*.c"
)

add_library(${PAM_LIB_NAME} MODULE
    ${LIB_SRCS}
)
set_target_properties(${PAM_LIB_NAME} PROPERTIES PREFIX "")

target_link_libraries(${PAM_LIB_NAME} PRIVATE
    -lpam
)
install(TARGETS ${PAM_LIB_NAME} DESTINATION ${CMAKE_INSTALL_LIBDIR}/security)

=== plugins/examples/login-plugins/login-complex/CMakeLists.txt ===
include_directories(
    global
)

link_libraries(
    ${Qt_LIBS}
)

set(LIB_NAME login-complex)

aux_source_directory(. SRCS)

add_library(${LIB_NAME} SHARED ${SRCS})

install(TARGETS ${LIB_NAME} LIBRARY DESTINATION lib/dde-session-shell/modules)

=== plugins/examples/login-plugins/login-udcp/CMakeLists.txt ===
include_directories(
    global
)

link_libraries(
    ${Qt_LIBS}
)

set(LIB_NAME login-udcp)

aux_source_directory(. SRCS)

add_library(${LIB_NAME} SHARED ${SRCS} login-plugin.qrc)

install(TARGETS ${LIB_NAME} LIBRARY DESTINATION lib/dde-session-shell/modules)

=== debian/changelog ===
dde-session-shell (6.0.38) unstable; urgency=medium

  * sync: from linuxdeepin/dde-session-shell

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 15 May 2025 21:30:55 +0800

dde-session-shell (6.0.37) unstable; urgency=medium

  * sync: from linuxdeepin/dde-session-shell

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 08 May 2025 17:36:55 +0800

dde-session-shell (6.0.36) unstable; urgency=medium

  * sync: from linuxdeepin/dde-session-shell
  * sync: from linuxdeepin/dde-session-shell

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 08 May 2025 17:36:55 +0800

dde-session-shell (6.0.35) unstable; urgency=medium

  * chore: remove Depends="pbis-open"
  * sync: from linuxdeepin/dde-session-shell
  * sync: from linuxdeepin/dde-session-shell

 -- YeShanShan <yeshanshan@uniontech.com>  Tue, 29 Apr 2025 15:20:55 +0800

dde-session-shell (6.0.34) unstable; urgency=medium

  * sync: from linuxdeepin/dde-session-shell (#406)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Thu, 17 Apr 2025 17:18:35 +0800

dde-session-shell (6.0.33) unstable; urgency=medium

  * chore: Synchronize to 107x (#402)
  * chore: sync base dde-session-shell repo (#404)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Thu, 10 Apr 2025 14:13:15 +0800

dde-session-shell (6.0.32) unstable; urgency=medium

  * chore: remove startdde dependency

 -- fuleyi <fuleyi@uniontech.com>  Wed, 02 Apr 2025 11:28:22 +0800

dde-session-shell (6.0.31) unstable; urgency=medium

  * fix: lock window just show background widget (#400)

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 27 Mar 2025 17:50:04 +0800

dde-session-shell (6.0.30) unstable; urgency=medium

  * fix: Unable to open control center
  * fix: password lineEdit can copy or cut (#398)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Fri, 21 Mar 2025 10:12:01 +0800

dde-session-shell (6.0.29) unstable; urgency=medium

  * feat: add systemReboot config

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 27 Feb 2025 21:59:07 +0800

dde-session-shell (6.0.28) unstable; urgency=medium

  * fix: multiple screens, has lock screen widget is not the right size

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 20 Feb 2025 15:13:05 +0800

dde-session-shell (6.0.27) unstable; urgency=medium

  * chore: adapt to Qt6.

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 23 Jan 2025 16:38:47 +0800

dde-session-shell (6.0.26) unstable; urgency=medium

  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 09 Jan 2025 16:07:47 +0800

dde-session-shell (6.0.25) unstable; urgency=medium

  * fix: turning off 'Unlocking is required to wake up the computer' does not work
  * fix: Time text changes with time zone

 -- zsien <quezhiyong@deepin.org>  Fri, 29 Nov 2024 15:36:13 +0800

dde-session-shell (6.0.24) unstable; urgency=medium

  * release 6.0.24

 -- Zhang Kun <zhangkun2@uniontech.com>  Thu, 21 Nov 2024 14:46:11 +0800

## dde-session-shell 6.0.41

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(dde-session-shell C CXX)

include(GNUInstallDirs)
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -g -Wall")
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)

# coverage option
# cmake -DENABLE_COVERAGE=ON ..
OPTION (ENABLE_COVERAGE "Use gcov" OFF)
MESSAGE(STATUS ENABLE_COVERAGE=${ENABLE_COVERAGE})
if (ENABLE_COVERAGE)
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage")
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fprofile-arcs -ftest-coverage")
    #SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fprofile-arcs -ftest-coverage")
endif()

if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "mips64")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi")
endif()

# DDE_SESSION_SHELL_SNIPE defined in snipe repo
if (NOT DDE_SESSION_SHELL_SNIPE)
    find_package(Qt6 COMPONENTS Core QUIET)
endif ()

if (DDE_SESSION_SHELL_SNIPE OR Qt6_FOUND)
    add_definitions(-DENABLE_DSS_SNIPE)
    set(DISABLE_DSS_SNIPE FALSE)
    set(QT_VERSION_MAJOR 6)
    set(DTK_VERSION_MAJOR 6)
else ()
    # for v20
    set(DISABLE_DSS_SNIPE TRUE)
    set(QT_VERSION_MAJOR 5)
    set(DTK_VERSION_MAJOR "")
endif ()

message(STATUS "Using Qt${QT_VERSION_MAJOR} (Dtk${DTK_VERSION_MAJOR})")

# Find the library
find_package(PAM REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(Threads REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Widgets DBus Svg Network)
find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Widget Core)

if (DISABLE_DSS_SNIPE)
    find_package(KF5Wayland REQUIRED)
    find_package(Qt5 COMPONENTS X11Extras REQUIRED)

    pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
    pkg_check_modules(QGSettings REQUIRED gsettings-qt)
    pkg_check_modules(Greeter REQUIRED liblightdm-qt5-3)
else ()
    find_package(Qt6 COMPONENTS LinguistTools REQUIRED)
    find_package(Dtk${DTK_VERSION_MAJOR} COMPONENTS REQUIRED Tools)
    pkg_check_modules(Greeter REQUIRED liblightdm-qt6-3)
endif ()

pkg_check_modules(XCB_EWMH REQUIRED xcb-ewmh x11 xi xcursor xfixes xrandr xext xtst)
pkg_check_modules(SSL REQUIRED IMPORTED_TARGET libcrypto libssl openssl)

if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
    if (DISABLE_DSS_SNIPE)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Ofast")
        # generate qm
        execute_process(COMMAND bash "translate_generation.sh"
                    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
    else ()
        file(GLOB TS_FILES "translations/*.ts")
        qt_add_translation(QM_FILES ${TS_FILES})
        add_custom_target(dde-session-shell_language ALL DEPENDS ${QM_FILES})
    endif ()
endif ()

set(Qt_LIBS
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::Svg
)

if (DISABLE_DSS_SNIPE)
    list(APPEND Qt_LIBS Qt5::X11Extras)
endif()

if (DISABLE_DSS_SNIPE)
    try_compile(USE_DEEPIN_WAYLAND
          ${CMAKE_CURRENT_BINARY_DIR}/try_compile
        SOURCES
          ${CMAKE_CURRENT_SOURCE_DIR}/tests/wayland_test.cc
        LINK_LIBRARIES
          ${Qt_LIBS}
          ${Qt5Widgets_LIBRARIES}
          KF5::WaylandClient
    )

    message(STATUS "USE_DEEPIN_WAYLAND ${USE_DEEPIN_WAYLAND}")

    if(USE_DEEPIN_WAYLAND)
      add_definitions(-DUSE_DEEPIN_WAYLAND)
    endif()
endif ()

try_compile(USE_GM
        ${CMAKE_CURRENT_BINARY_DIR}/try_compile
    SOURCES
        ${CMAKE_CURRENT_SOURCE_DIR}/tests/test_gm.cc
    LINK_LIBRARIES
        PkgConfig::SSL
    OUTPUT_VARIABLE
        GM_MESSAGE
)

message(STATUS "check GM: ${USE_GM}")

if (${CMAKE_BUILD_TYPE} MATCHES "Debug")
    message(${GM_MESSAGE})
endif()

if(USE_GM)
  # 优先使用国密
  add_definitions(-DPREFER_USING_GM)
endif()

function(generation_dbus_interface xml class_name class_file option)
    execute_process(COMMAND /usr/lib/qt${QT_VERSION_MAJOR}/bin/qdbusxml2cpp ${option} -p ${class_file} -c ${class_name} ${xml}
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
endfunction(generation_dbus_interface)

set (SWITCH_OS_XML "${CMAKE_SOURCE_DIR}/xml/com.huawei.switchos.xml")
if (DISABLE_DSS_SNIPE)
    set(AUTHENTICATE_XML "${CMAKE_SOURCE_DIR}/xml/com.deepin.daemon.Authenticate.xml")
else ()
    set(AUTHENTICATE_XML "${CMAKE_SOURCE_DIR}/xml/snipe/org.deepin.dde.Authenticate1.xml")
endif ()

generation_dbus_interface(
    ${AUTHENTICATE_XML}
    AuthenticateInterface
    ${CMAKE_CURRENT_BINARY_DIR}/authenticate_interface
    -N
)
set(AUTH_DBUS_SCRS
    ${CMAKE_CURRENT_BINARY_DIR}/authenticate_interface.h
    ${CMAKE_CURRENT_BINARY_DIR}/authenticate_interface.cpp
)

generation_dbus_interface(
    ${SWITCH_OS_XML}
    HuaWeiSwitchOSInterface
    ${CMAKE_CURRENT_BINARY_DIR}/switchos_interface
    -N
)
set(SWITCHOS_DBUS_SCRS
    ${CMAKE_CURRENT_BINARY_DIR}/switchos_interface.h
    ${CMAKE_CURRENT_BINARY_DIR}/switchos_interface.cpp
)

# for snipe
if (NOT DISABLE_DSS_SNIPE)
    set(XML2CPP_DIR ${PROJECT_SOURCE_DIR}/src/global_util/dbus)
    function(generation_snipe_dbus_interface xml class_file)
        set(file_name ${XML2CPP_DIR}/${class_file})
        execute_process(
                COMMAND ${DTK_XML2CPP} -p ${file_name} ${xml}
                WORKING_DIRECTORY ${XML2CPP_DIR}
        )
    endfunction()

    set(DBUS_INTERFACES
        "${CMAKE_SOURCE_DIR}/xml/snipe/org.deepin.dde.Authenticate1.xml authenticate1interface"
        "${CMAKE_SOURCE_DIR}/xml/snipe/org.deepin.dde.Accounts1.xml accounts1interface"
        "${CMAKE_SOURCE_DIR}/xml/snipe/org.deepin.dde.Accounts1.User.xml userinterface"
        "${CMAKE_SOURCE_DIR}/xml/snipe/org.deepin.dde.ImageEffect1.xml imageeffect1interface"
        "${CMAKE_SOURCE_DIR}/xml/snipe/org.deepin.dde.Logined.xml loginedinterface"
        "${CMAKE_SOURCE_DIR}/xml/snipe/org.deepin.dde.PowerManager1.xml powermanager1interface"
        "${CMAKE_SOURCE_DIR}/xml/snipe/org.deepin.dde.SystemPower1.xml systempower1interface"
        "${CMAKE_SOURCE_DIR}/xml/snipe/com.deepin.wm.xml wminterface"
        "${CMAKE_SOURCE_DIR}/xml/snipe/org.deepin.dde.Authenticate1.Session2.xml session2interface"
        "${CMAKE_SOURCE_DIR}/xml/snipe/org.deepin.dde.SessionManager1.xml sessionmanager1interface"
        "${CMAKE_SOURCE_DIR}/xml/snipe/org.deepin.dde.SystemDisplay1.xml systemdisplay1interface"
        "${CMAKE_SOURCE_DIR}/xml/snipe/org.freedesktop.DBus.xml dbusinterface"
        "${CMAKE_SOURCE_DIR}/xml/snipe/org.freedesktop.login1.session.self.xml selfinterface"
    )

    foreach(interface IN LISTS DBUS_INTERFACES)
        string(REPLACE " " ";" interface_list "${interface}")

        list(GET interface_list 0 XML_FILE)
        list(GET interface_list 1 CLASS_FILE)

        list(LENGTH interface_list list_len)
        if(list_len LESS 2)
            message(FATAL_ERROR "Invalid DBus interface definition: ${interface}")
        endif()

        generation_snipe_dbus_interface(${XML_FILE} ${CLASS_FILE})
    endforeach()
endif ()

include_directories(${PROJECT_SOURCE_DIR}/src/global_util)
include_directories(${PROJECT_SOURCE_DIR}/src/global_util/dbus)
include_directories(${PROJECT_SOURCE_DIR}/src/global_util/keyboardmonitor)
include_directories(${PROJECT_SOURCE_DIR}/src/global_util/plugin_manager)
include_directories(${PROJECT_SOURCE_DIR}/src/widgets)
include_directories(${PROJECT_SOURCE_DIR}/src/session-widgets)
include_directories(${PROJECT_SOURCE_DIR}/src/libdde-auth)
include_directories(${PROJECT_SOURCE_DIR}/interface)
include_directories(${PROJECT_SOURCE_DIR}/src/global_util/dbus/types)

aux_source_directory(${PROJECT_SOURCE_DIR}/src/global_util GLOBAL_UTILS)
aux_source_directory(${PROJECT_SOURCE_DIR}/src/global_util/dbus GLOBAL_UTILS_DBUS)
aux_source_directory(${PROJECT_SOURCE_DIR}/src/widgets WIDGETS)
aux_source_directory(${PROJECT_SOURCE_DIR}/src/session-widgets SESSION_WIDGETS)
## 需要把libdde-auth中的.h编译出moc文件，故采用这种方式
file(GLOB AUTHENTICATE ${PROJECT_SOURCE_DIR}/src/libdde-auth/*.h ${PROJECT_SOURCE_DIR}/src/libdde-auth/*.cpp)
aux_source_directory(${PROJECT_SOURCE_DIR}/src/global_util/keyboardmonitor GLOBAL_UTILS_KEYBOARDMONITOR)
aux_source_directory(${PROJECT_SOURCE_DIR}/interface INTERFACE)
aux_source_directory(${PROJECT_SOURCE_DIR}/src/global_util/dbus/types DBUS_DATA_TYPES)
aux_source_directory(${PROJECT_SOURCE_DIR}/src/global_util/plugin_manager PLUGIN_MANAGER)

set(QRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/resources.qrc
    ${PROJECT_SOURCE_DIR}/src/widgets/widgetsimages.qrc
    ${PROJECT_SOURCE_DIR}/src/widgets/widgetstheme.qrc
)

set(LOCK_SRCS
    ${AUTH_DBUS_SCRS}
    ${SWITCHOS_DBUS_SCRS}
    ${SYSTEMD_DISPLAY1_DBUS_SCRS}
    ${GLOBAL_UTILS}
    ${GLOBAL_UTILS_DBUS}
    ${GLOBAL_UTILS_KEYBOARDMONITOR}
    ${WIDGETS}
    ${SESSION_WIDGETS}
    ${AUTHENTICATE}
    ${INTERFACE}
    ${DBUS_DATA_TYPES}
    ${PLUGIN_MANAGER}
    src/app/dde-lock.cpp
    src/dde-lock/lockframe.cpp
    src/dde-lock/lockworker.cpp
    src/dde-lock/updateworker.cpp
    src/dde-lock/dbus/dbuslockagent.cpp
    src/dde-lock/dbus/dbuslockfrontservice.cpp
    src/dde-lock/dbus/dbusshutdownagent.cpp
    src/dde-lock/dbus/dbusshutdownfrontservice.cpp
    src/widgets/passworderrortipswidget.cpp
    src/widgets/passworderrortipswidget.h
    src/global_util/dbusconstant.h
)

link_libraries(
    Threads::Threads
)

add_executable(dde-lock
    ${LOCK_SRCS}
    ${QRCS}
)

target_include_directories(dde-lock PUBLIC
    ${PAM_INCLUDE_DIR}
    ${XCB_EWMH_INCLUDE_DIRS}
    ${PROJECT_BINARY_DIR}
    ${PROJECT_SOURCE_DIR}/src/dde-lock
    ${PROJECT_SOURCE_DIR}/src/dde-lock/dbus
)
if (DISABLE_DSS_SNIPE)
    target_include_directories(dde-lock PUBLIC
        ${DTKWIDGET_INCLUDE_DIR}
        ${DTKCORE_INCLUDE_DIR}
        ${DFrameworkDBus_INCLUDE_DIRS}
        ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
        ${QGSettings_INCLUDE_DIRS}
        ${Qt5X11Extras_INCLUDE_DIRS}
    )
endif ()

target_link_libraries(dde-lock PRIVATE
    ${Qt_LIBS}
    ${PAM_LIBRARIES}
    ${XCB_EWMH_LIBRARIES}
    Dtk${DTK_VERSION_MAJOR}::Widget
    Dtk${DTK_VERSION_MAJOR}::Core
    ${Greeter_LIBRARIES}
    PkgConfig::SSL
)
if (DISABLE_DSS_SNIPE)
    target_link_libraries(dde-lock PRIVATE
        ${DFrameworkDBus_LIBRARIES}
        ${QGSettings_LIBRARIES}
        KF5::WaylandClient
    )
endif()

set(GREETER_SRCS
    ${AUTH_DBUS_SCRS}
    ${SWITCHOS_DBUS_SCRS}
    ${GLOBAL_UTILS}
    ${GLOBAL_UTILS_DBUS}
    ${GLOBAL_UTILS_KEYBOARDMONITOR}
    ${WIDGETS}
    ${SESSION_WIDGETS}
    ${AUTHENTICATE}
    ${INTERFACE}
    ${DBUS_DATA_TYPES}
    ${PLUGIN_MANAGER}
    src/app/lightdm-deepin-greeter.cpp
    src/lightdm-deepin-greeter/loginwindow.cpp
    src/lightdm-deepin-greeter/greeterworker.cpp
    src/lightdm-deepin-greeter/logincontent.cpp
    src/lightdm-deepin-greeter/logintipswindow.cpp
    src/lightdm-deepin-greeter/sessionwidget.cpp
)

add_executable(lightdm-deepin-greeter
    ${GREETER_SRCS}
    ${QRCS}
)

target_include_directories(lightdm-deepin-greeter PUBLIC
    ${PAM_INCLUDE_DIR}
    ${XCB_EWMH_INCLUDE_DIRS}
    ${PROJECT_BINARY_DIR}
    ${Greeter_INCLUDE_DIRS}
    ${PROJECT_SOURCE_DIR}/src/lightdm-deepin-greeter
)
if (DISABLE_DSS_SNIPE)
    target_include_directories(lightdm-deepin-greeter PUBLIC
        ${DTKWIDGET_INCLUDE_DIR}
        ${DTKCORE_INCLUDE_DIR}
        ${DFrameworkDBus_INCLUDE_DIRS}
        ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
        ${QGSettings_INCLUDE_DIRS}
        ${Qt5X11Extras_INCLUDE_DIRS}
    )
endif ()

target_compile_definitions(lightdm-deepin-greeter
    PRIVATE ENABLE_SESSION
)

if (WAIT_DEEPIN_ACCOUNTS_SERVICE)
    target_compile_definitions(lightdm-deepin-greeter
        PUBLIC ENABLE_WAITING_ACCOUNTS_SERVICE
    )
endif()

target_link_libraries(lightdm-deepin-greeter PRIVATE
    ${Qt_LIBS}
    ${PAM_LIBRARIES}

=== lighter-greeter/CMakeLists.txt ===
project(lightdm-deepin-greeter-lighter)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(DtkWidget REQUIRED)

# Find the library
find_package(PkgConfig REQUIRED)
pkg_check_modules(XCB_EWMH REQUIRED xcb-ewmh x11 xi xcursor xfixes xrandr xext xtst)
pkg_check_modules(Greeter REQUIRED liblightdm-qt5-3)
pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
pkg_check_modules(QGSettings REQUIRED gsettings-qt)

add_executable(${PROJECT_NAME}
    "main.cpp"
    "lighterbackground.h"
    "lighterbackground.cpp"
    "lightergreeter.h"
    "lightergreeter.cpp"
    "lighterscreenmanager.h"
    "lighterscreenmanager.cpp"
    "../src/widgets/abstractfullbackgroundinterface.h"
    "../src/widgets/timewidget.h"
    "../src/widgets/timewidget.cpp"
    "../src/widgets/dlineeditex.h"
    "../src/widgets/dlineeditex.cpp"
    "../src/widgets/transparentbutton.h"
    "../src/widgets/transparentbutton.cpp"
    "../src/widgets/useravatar.h"
    "../src/widgets/useravatar.cpp"
    "../src/global_util/constants.h"
    "../src/global_util/public_func.h"
    "../src/global_util/public_func.cpp"
    "../src/global_util/dconfig_helper.h"
    "../src/global_util/dconfig_helper.cpp"
    "../resources.qrc"
    )

target_include_directories(${PROJECT_NAME} PUBLIC
    ${DtkWidget_INCLUDE_DIRS}
    ${Greeter_INCLUDE_DIRS}
    ${DFrameworkDBus_INCLUDE_DIRS}
    ${QGSettings_INCLUDE_DIRS}
    ${XCB_EWMH_INCLUDE_DIRS}
    )

target_link_libraries(${PROJECT_NAME}
    ${Qt5Widgets_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
    ${Greeter_LIBRARIES}
    ${DFrameworkDBus_LIBRARIES}
    ${QGSettings_LIBRARIES}
    ${XCB_EWMH_LIBRARIES}
    )

install(TARGETS lightdm-deepin-greeter-lighter DESTINATION ${CMAKE_INSTALL_BINDIR})

=== plugins/CMakeLists.txt ===
if (DISABLE_DSS_SNIPE)
    add_subdirectory(one-key-login)
endif()
# add_subdirectory(examples)
# add_subdirectory(assist_login)

=== tests/dde-lock/CMakeLists.txt ===
set(BIN_NAME dde-lock-test)

aux_source_directory(. LOCK_TEST)

set(LOCK_TEST_SRCS
    ${LOCK_TEST}
    ${AUTH_DBUS_SCRS}
    ${GLOBAL_UTILS}
    ${GLOBAL_UTILS_DBUS}
    ${GLOBAL_UTILS_KEYBOARDMONITOR}
    ${WIDGETS}
    ${SESSION_WIDGETS}
    ${SWITCHOS_DBUS_SCRS}
    ${AUTHENTICATE}
    ${DBUS_DATA_TYPES}
    ${PLUGIN_MANAGER}
    ${PROJECT_SOURCE_DIR}/src/dde-lock/lockframe.cpp
    ${PROJECT_SOURCE_DIR}/src/dde-lock/lockworker.cpp
    ${PROJECT_SOURCE_DIR}/src/dde-lock/updateworker.cpp
    ${PROJECT_SOURCE_DIR}/src/dde-lock/dbus/dbuslockagent.cpp
    ${PROJECT_SOURCE_DIR}/src/dde-lock/dbus/dbuslockfrontservice.cpp
    ${PROJECT_SOURCE_DIR}/src/dde-lock/dbus/dbusshutdownagent.cpp
    ${PROJECT_SOURCE_DIR}/src/dde-lock/dbus/dbusshutdownfrontservice.cpp
)

add_executable(${BIN_NAME}
    ${LOCK_TEST_SRCS}
    ${QRCS}
    ${LOCK_QRCS}
)

target_include_directories(${BIN_NAME} PUBLIC
    ${DTKWIDGET_INCLUDE_DIR}
    ${DTKCORE_INCLUDE_DIR}
    ${PAM_INCLUDE_DIR}
    ${XCB_EWMH_INCLUDE_DIRS}
    ${PROJECT_BINARY_DIR}
    ${PROJECT_SOURCE_DIR}/src/dde-lock
    ${PROJECT_SOURCE_DIR}/src/dde-lock/dbus
)
if (DISABLE_DSS_SNIPE)
    target_include_directories(${BIN_NAME} PUBLIC
        ${DFrameworkDBus_INCLUDE_DIRS}
        ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
        ${QGSettings_INCLUDE_DIRS}
        ${Qt5X11Extras_INCLUDE_DIRS}
    )
endif ()

target_link_libraries(${BIN_NAME} PRIVATE
    Qt${QT_VERSION_MAJOR}::Test
    Dtk${DTK_VERSION_MAJOR}::Widget
    Dtk${DTK_VERSION_MAJOR}::Core
    ${GTEST_LIBRARIES}
    ${Qt_LIBS}
    ${PAM_LIBRARIES}
    ${XCB_EWMH_LIBRARIES}
    -lpthread
    -lm
    -lcrypto
)
if (DISABLE_DSS_SNIPE)
    target_link_libraries(${BIN_NAME} PRIVATE
        ${DFrameworkDBus_LIBRARIES}
        ${QGSettings_LIBRARIES}
        ${Qt5X11Extras_LIBRARIES}
        KF5::WaylandClient
    )
endif ()

=== tests/lightdm-deepin-greeter/CMakeLists.txt ===
set(BIN_NAME lightdm-deepin-greeter-test)

aux_source_directory(. GREETER_TEST)

set(GREETER_TEST_SRCS
    ${GREETER_TEST}
    ${AUTH_DBUS_SCRS}
    ${GLOBAL_UTILS}
    ${GLOBAL_UTILS_DBUS}
    ${GLOBAL_UTILS_KEYBOARDMONITOR}
    ${WIDGETS}
    ${SESSION_WIDGETS}
    ${SWITCHOS_DBUS_SCRS}
    ${AUTHENTICATE}
    ${DBUS_DATA_TYPES}
    ${PLUGIN_MANAGER}
    ${UPDATE}
    ${PROJECT_SOURCE_DIR}/src/lightdm-deepin-greeter/loginwindow.cpp
    ${PROJECT_SOURCE_DIR}/src/lightdm-deepin-greeter/greeterworker.cpp
    ${PROJECT_SOURCE_DIR}/src/lightdm-deepin-greeter/logincontent.cpp
    ${PROJECT_SOURCE_DIR}/src/lightdm-deepin-greeter/logintipswindow.cpp
    ${PROJECT_SOURCE_DIR}/src/lightdm-deepin-greeter/sessionwidget.cpp
)

add_executable(${BIN_NAME}
    ${GREETER_TEST_SRCS}
    ${QRCS}
    ${GREETER_QRCS}
)

target_include_directories(${BIN_NAME} PUBLIC
    ${PAM_INCLUDE_DIR}
    ${DTKWIDGET_INCLUDE_DIR}
    ${DTKCORE_INCLUDE_DIR}
    ${XCB_EWMH_INCLUDE_DIRS}
    ${PROJECT_BINARY_DIR}
    ${Greeter_INCLUDE_DIRS}
    ${PROJECT_SOURCE_DIR}/src/lightdm-deepin-greeter
)
if (DISABLE_DSS_SNIPE)
    target_include_directories(${BIN_NAME} PUBLIC
        ${DFrameworkDBus_INCLUDE_DIRS}
        ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
        ${QGSettings_INCLUDE_DIRS}
        ${Qt5X11Extras_INCLUDE_DIRS}
    )
endif ()

target_compile_definitions(lightdm-deepin-greeter
    PRIVATE ENABLE_SESSION
)

target_link_libraries(${BIN_NAME} PRIVATE
    ${Qt_LIBS}
    ${PAM_LIBRARIES}
    ${XCB_EWMH_LIBRARIES}
    Dtk${DTK_VERSION_MAJOR}::Widget
    Dtk${DTK_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::Test
    ${Greeter_LIBRARIES}
    ${GTEST_LIBRARIES}
    -lpthread
    -lm
    -lcrypto
)
if (DISABLE_DSS_SNIPE)
    target_link_libraries(${BIN_NAME} PRIVATE
        ${DFrameworkDBus_LIBRARIES}
        ${Qt5Gui_PRIVATE_LIBRARIES}
        ${QGSettings_LIBRARIES}
        ${Qt5X11Extras_LIBRARIES}
        KF5::WaylandClient
    )
endif ()

=== plugins/examples/login-plugins/login-basic/CMakeLists.txt ===
# 设置运行此配置所需的 cmake 的最低版本
cmake_minimum_required(VERSION 3.11)

# 使用 set 命令设置一个变量
set(PLUGIN_NAME login-basic)

# 设置项目名称
project(${PLUGIN_NAME})

# 启用 qt moc 的支持
set(CMAKE_AUTOMOC ON)
# 启用 qrc 资源文件的支持
set(CMAKE_AUTORCC ON)

find_package(Qt6 COMPONENTS Core QUIET)
if (Qt6_FOUND)
    set(QT_VERSION_MAJOR 6)
    set(DTK_VERSION_MAJOR 6)
else ()
    set(QT_VERSION_MAJOR 5)
    set(DTK_VERSION_MAJOR 5)
endif ()

# 指定所有源码文件
# 使用了 cmake 的 file 命令，递归查找项目目录下所有头文件和源码文件
# 并将结果放入 SRCS 变量中，方便后续取用
file(GLOB_RECURSE SRCS "*.h" "*.cpp")

# 指定要用到的库
# 使用了 cmake 的 find_package 命令，查找库 Qt对应版本的模块，如Widgets等，
# REQUIRED 参数表示如果没有找到则报错
# find_package 命令在找到并加载指定的库之后会设置一些变量
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Widgets)
find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Widget)
find_package(DdeSessionShell REQUIRED)

# find_package 命令还可以用来加载 cmake 的功能模块
# 并不是所有的库都直接支持 cmake 查找的，但大部分都支持了 pkg-config 这个标准，
# 因此 cmake 提供了间接加载库的模块：FindPkgConfig， 下面这行命令表示加载 FindPkgConfig 模块，
# 这个 cmake 模块提供了额外的基于 “pkg-config” 加载库的能力
# 执行下面的命令后后会设置如下变量，不过一般用不到：
# PKG_CONFIG_FOUND            pkg-config 可执行文件是否找到了
# PKG_CONFIG_EXECUTABLE       pkg-config 可执行文件的路径
# PKG_CONFIG_VERSION_STRING   pkg-config 的版本信息
find_package(PkgConfig REQUIRED)

# add_definitions 命令用于声明/定义一些编译/预处理参数
add_definitions("${QT_DEFINITIONS} -DQT_PLUGIN")

# 新增一个编译目标
# 这里使用命令 add_library 来表示本项目要生成一个库文件目标，
# 类似的还有命令 add_executable 添加一个可执行二进制目标，甚至 add_custom_target(使用较少) 添加自定义目标
# SHARED 表示生成的库应该是动态库，
# 变量 ${PLUGIN_NAME} 和 ${SRCS} 都是前面处理好的，
# 另外 qrc 资源文件也应该追加在后面以编译进目标中。
add_library(${PLUGIN_NAME} SHARED ${SRCS})

# 设置目标的生成位置，这里表示生成在执行 make 的目录,
# 另外还有很多可用于设置的属性，可查阅 cmake 文档。
set_target_properties(${PLUGIN_NAME} PROPERTIES LIBRARY_OUTPUT_DIRECTORY ./)

# 设置目标要使用的 include 目录，即头文件目录
# 变量 ${DtkWidget_INCLUDE_DIRS} 是在前面执行 find_package 命令时引入的
# 当出现编译失败提示找不到某些库的头文件时应该检查此处是否将所有需要的头文件都包含了
target_include_directories(${PLUGIN_NAME} PUBLIC
    Qt${QT_VERSION_MAJOR}::Widgets
    ${DtkWidget_INCLUDE_DIRS}
    ${DdeSessionShell_INCLUDE_DIRS}
)

# 设置目标要使用的链接库
# 变量 Dtk${DTK_VERSION_MAJOR}::Widget 和 Qt${QT_VERSION_MAJOR}::Widgets 是在前面执行 find_package 命令时引入的
# 当出现运行时错误提示某些符号没有定义时应该检查此处是否将所有用的库都写在了这里
target_link_libraries(${PLUGIN_NAME} PRIVATE
    Qt${QT_VERSION_MAJOR}::Widgets
    Dtk${DTK_VERSION_MAJOR}::Widget
    ${DdeSessionShell_LIBRARIES}
)

# 设置安装路径的前缀(默认为"/usr/local")
set(CMAKE_INSTALL_PREFIX "/usr")

# 设置执行 make install 时哪个目标应该被 install 到哪个位置
install(TARGETS ${PLUGIN_NAME} LIBRARY DESTINATION lib/dde-session-shell/modules)

=== debian/changelog ===
dde-session-shell (6.0.41) unstable; urgency=medium

  * chore: remove unused Spanish translation files

 -- xionglinlin <xionglinlin@uniontech.com>  Mon, 23 Jun 2025 17:04:03 +0800

dde-session-shell (6.0.40) unstable; urgency=medium

  * sync: from linuxdeepin/dde-session-shell

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 12 Jun 2025 19:33:15 +0800

dde-session-shell (6.0.39) unstable; urgency=medium

  * sync: from linuxdeepin/dde-session-shell
  * sync: from linuxdeepin/dde-session-shell

 -- YeShanShan <yeshanshan@uniontech.com>  Wed, 28 May 2025 17:17:55 +0800

=== debian/control ===
Source: dde-session-shell
Section: devel
Priority: optional
Maintainer: Deepin Sysdev <sysdev@deepin.com>
Build-Depends: debhelper-compat (=12), pkg-config,
 cmake,
 qt6-base-dev,
 qt6-svg-dev,
 qt6-tools-dev,
 liblightdm-qt6-3-dev | liblightdm-qt-dev,
 libxcb-ewmh-dev,
 libglib2.0-dev,
 libdtk6widget-dev,
 libdtk6core-bin,
 libdtk6core-dev,
 libpam0g-dev,
 libsystemd-dev,
 deepin-gettext-tools,
 libxtst-dev,
 libxcursor-dev,
 libxrandr-dev,
 libgtest-dev,
 libx11-xcb-dev,
 libssl-dev,
Standards-Version: 3.9.4
Homepage: http://www.deepin.org/

Package: dde-session-shell
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends},
 deepin-desktop-schemas (>=5.9.14),
 dde-daemon (>=6.1.26),
 x11-xserver-utils,
 deepin-authenticate(>=1.2.27),
 libssl3,
 libxcb-util0|libxcb-util1,
 xsettingsd,
 onboard
Provides: lightdm-greeter
Recommends: dss-network-plugin,
 dde-network-dialog
Conflicts: dde-workspace,
 deepin-notifications,
 dde-session-ui (<< 5.0.0),
 dde-preload
Replaces: deepin-notifications
Breaks: dde-workspace
Description: deepin desktop-environment - dde-session-shell module
 Deepin desktop environment 2015 - dde-session-shell module.
 lightdm-deepin-greeter - login，the entry to the desktop
 dde-lock - lock screen, to protect privacy
 deepin-greeter - actual call the lightdm-deepin-greeter

Package: dde-session-shell-dev
Architecture: any
Depends: dde-session-shell (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: deepin desktop-environment - dde-session-shell module development files
 DDE Session Shell module development files of deepin desktop-environment

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export QT_SELECT=5
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk
SYSTYPE=Desktop
SYSTYPE=$(shell cat /etc/deepin-version | grep Type= | awk -F'=' '{print $$2}')
%:
	dh $@

ifeq ($(DEB_BUILD_ARCH), mipsel)
override_dh_auto_configure:
	dh_auto_configure -- LOCK_NO_QUIT=YES DISABLE_DEMO_VIDEO=YES DISABLE_TEXT_SHADOW=YES DISABLE_ANIMATIONS=YES USE_CURSOR_LOADING_ANI=YES
endif

ifeq ($(DEB_BUILD_ARCH), mips64el)
override_dh_auto_configure:
	dh_auto_configure -- LOCK_NO_QUIT=YES DISABLE_DEMO_VIDEO=YES DISABLE_TEXT_SHADOW=YES DISABLE_ANIMATIONS=YES USE_CURSOR_LOADING_ANI=YES
endif

ifeq ($(DEB_BUILD_ARCH), sw_64)
override_dh_auto_configure:
	dh_auto_configure -- LOCK_NO_QUIT=YES DISABLE_DEMO_VIDEO=YES DISABLE_TEXT_SHADOW=YES DISABLE_ANIMATIONS=YES USE_CURSOR_LOADING_ANI=YES
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-DWAIT_DEEPIN_ACCOUNTS_SERVICE=1 \
		-DDDE_SESSION_SHELL_SNIPE=1

## dde-session-shell 6.0.43

=== plugins/examples/login-plugins/login-fullManaged/CMakeLists.txt ===
include_directories(
    global
)

link_libraries(
    ${Qt_LIBS}
)

set(LIB_NAME login-FullManaged)

aux_source_directory(. SRCS)

add_library(${LIB_NAME} SHARED ${SRCS})

install(TARGETS ${LIB_NAME} LIBRARY DESTINATION lib/dde-session-shell/modules)

=== debian/changelog ===
dde-session-shell (6.0.43) unstable; urgency=medium

  * sync: from linuxdeepin/dde-session-shell
  * chore: remove unused Spanish translation files
  * sync: from linuxdeepin/dde-session-shell
  * sync: from linuxdeepin/dde-session-shell
  * sync: from linuxdeepin/dde-session-shell

 -- zyz <zhaoyingzhen@uniontech.com>  Fri, 11 Jul 2025 10:32:10 +0800

dde-session-shell (6.0.42) unstable; urgency=medium

  * fix: add hardening compiler flags in debian/rules

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 03 Jul 2025 19:55:52 +0800

## dde-session-shell 6.0.44

=== debian/changelog ===
dde-session-shell (6.0.44) unstable; urgency=medium

  * Sync: from linuxdeepin/dde-session-shell
  * Sync: from linuxdeepin/dde-session-shell
  - Updated configs/org.deepin.dde.lock.json
  * Fix: update homepage url in debian/control
  * Sync: from linuxdeepin/dde-session-shell
  * Chore: bump version to 6.0.43
  * Sync: from linuxdeepin/dde-session-shell
  * Chore: remove unused Spanish translation files
  * Sync: from linuxdeepin/dde-session-shell
  * Sync: from linuxdeepin/dde-session-shell
  * Sync: from linuxdeepin/dde-session-shell

 -- zyz <zhaoyingzhen@uniontech.com>  Thu, 14 Aug 2025 14:52:01 +0800

## dde-session-shell 6.0.49

=== CMakeLists.txt ===
--- 
+++ 
@@ -260,6 +260,7 @@
     src/widgets/passworderrortipswidget.cpp
     src/widgets/passworderrortipswidget.h
     src/global_util/dbusconstant.h
+    src/global_util/signal_bridge.h
 )
 
 link_libraries(
@@ -324,7 +325,14 @@
     src/lightdm-deepin-greeter/logincontent.cpp
     src/lightdm-deepin-greeter/logintipswindow.cpp
     src/lightdm-deepin-greeter/sessionwidget.cpp
-)
+    src/global_util/signal_bridge.h
+)
+
+if (USE_DEEPIN_WAYLAND)
+  set(GREETER_SRCS
+    ${GREETER_SRCS}
+  )
+endif(USE_DEEPIN_WAYLAND)
 
 add_executable(lightdm-deepin-greeter
     ${GREETER_SRCS}
@@ -355,10 +363,3 @@
 
 if (WAIT_DEEPIN_ACCOUNTS_SERVICE)
     target_compile_definitions(lightdm-deepin-greeter
-        PUBLIC ENABLE_WAITING_ACCOUNTS_SERVICE
-    )
-endif()
-
-target_link_libraries(lightdm-deepin-greeter PRIVATE
-    ${Qt_LIBS}
-    ${PAM_LIBRARIES}

=== plugins/CMakeLists.txt ===
if (DISABLE_DSS_SNIPE)
    add_subdirectory(one-key-login)
    add_subdirectory("login-gesture")
endif()
# add_subdirectory(examples)
# add_subdirectory(assist_login)

=== tests/CMakeLists.txt ===
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Test DBus REQUIRED)
find_package(GTest REQUIRED)
ADD_COMPILE_OPTIONS(-fno-access-control)

# 用于测试覆盖率的编译条件
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage -lgcov -fno-access-control")

# 增加安全编译参数
set(SECURITY_COMPILE, "-fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
set(CMAKE_CXX_FLAGS, "${CMAKE_CXX_FLAGS} ${SECURITY_COMPILE}")
set(CMAKE_C_FLAGS, "${CMAKE_C_FLAGS} ${SECURITY_COMPILE}")

# Address Sanitizer 内存错误检测工具,打开下面的编译选项可以看到调试信息，正常运行时不需要这些信息
if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O2")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O2")
endif()

add_subdirectory(dde-lock)
add_subdirectory(lightdm-deepin-greeter)

=== plugins/assist_login/CMakeLists.txt ===
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Widgets Network REQUIRED)
find_package(PkgConfig REQUIRED)

pkg_check_modules(SSL REQUIRED IMPORTED_TARGET libcrypto libssl openssl)

link_libraries(
    ${Qt_LIBS}
    Qt${QT_VERSION_MAJOR}::Widgets
    PkgConfig::SSL
    Dtk${DTK_VERSION_MAJOR}::Widget
    Dtk${DTK_VERSION_MAJOR}::Core
)

set(LIB_NAME assist-login)

set(LIB_NAME_INTERface assist_Login_interface)

aux_source_directory(. SRCS)

add_library(${LIB_NAME} SHARED ${SRCS})

add_subdirectory(interface)
install(TARGETS ${LIB_NAME} LIBRARY DESTINATION lib/dde-session-shell/modules)

=== plugins/examples/CMakeLists.txt ===
add_subdirectory(login-plugins/login-basic)
add_subdirectory(login-plugins/login-complex)
add_subdirectory(login-plugins/login-fullManaged)
add_subdirectory(login-plugins/login-udcp)
add_subdirectory(tray-plugins/network)
#add_subdirectory(tray-plugins/webview)

=== plugins/login-gesture/CMakeLists.txt ===
find_package(DtkWidget REQUIRED)
find_package(DtkCore REQUIRED)

include(GNUInstallDirs)

include_directories(
    ${DFrameworkDBus_INCLUDE_DIRS}
    global
    src
    resetDialog
    utils
)

link_libraries(
    ${Qt_LIBS}
    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
    crypt
)

set(LIB_NAME login-gesture)
set(BIN_NAME reset-pattern-dialog)

file(GLOB_RECURSE SHARED_SOURCE
    ${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/utils/*.cpp
)

file(GLOB_RECURSE LIB_SOURCE
        ${CMAKE_CURRENT_SOURCE_DIR}/loginPlugin/*.cpp
)

file(GLOB_RECURSE RESET_SOURCE
    ${CMAKE_CURRENT_SOURCE_DIR}/resetDialog/*.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/resetDialog/*.qrc
)

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    ADD_DEFINITIONS(-DQM_FILES_DIR="${CMAKE_BINARY_DIR}/plugins/login-gesture/translations")
else()
    ADD_DEFINITIONS(-DQM_FILES_DIR="/usr/share/dde-gesture-login/translations")
endif()

set(QRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/gesture.qrc
)

add_library(${LIB_NAME} SHARED
    ${SHARED_SOURCE}
    ${LIB_SOURCE}
    ${QRCS}
)
set_target_properties(${LIB_NAME} PROPERTIES POSITION_INDEPENDENT_CODE ON)

add_executable(${BIN_NAME}
    ${SHARED_SOURCE}
    ${RESET_SOURCE}
    ${QRCS}
)

execute_process(COMMAND bash "${CMAKE_CURRENT_SOURCE_DIR}/translate_generation.sh"
                WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

install(TARGETS ${LIB_NAME} LIBRARY DESTINATION lib/dde-session-shell/modules)
install(TARGETS ${BIN_NAME} DESTINATION lib/dde-control-center)

file(GLOB QM_FILES "${CMAKE_CURRENT_SOURCE_DIR}/translations/*.qm")
install(FILES ${QM_FILES} DESTINATION share/dde-gesture-login/translations)

install(FILES configs/login-gesture.json DESTINATION /lib/dde-session-shell/modules/config.d)
install(FILES configs/org.deepin.dde.dss-login-gesture.json DESTINATION ${CMAKE_INSTALL_DATADIR}/dsg/configs/org.deepin.dde.lock)
install(FILES configs/org.deepin.dde.dss-login-gesture.json DESTINATION ${CMAKE_INSTALL_DATADIR}/dsg/configs/org.deepin.dde.lightdm-deepin-greeter)

=== plugins/one-key-login/CMakeLists.txt ===
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Widgets REQUIRED)

link_libraries(
    ${Qt_LIBS}
    Dtk${DTK_VERSION_MAJOR}::Core
    Dtk${DTK_VERSION_MAJOR}::Widget
)

set(LIB_NAME one-key-login)

aux_source_directory(. SRCS)

add_library(${LIB_NAME} SHARED ${SRCS})

install(TARGETS ${LIB_NAME} LIBRARY DESTINATION lib/dde-session-shell/modules)

=== tests/dde-lock/CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,7 @@
     ${PROJECT_SOURCE_DIR}/src/dde-lock/dbus/dbuslockfrontservice.cpp
     ${PROJECT_SOURCE_DIR}/src/dde-lock/dbus/dbusshutdownagent.cpp
     ${PROJECT_SOURCE_DIR}/src/dde-lock/dbus/dbusshutdownfrontservice.cpp
+    ${PROJECT_SOURCE_DIR}/src/global_util/signal_bridge.h
 )
 
 add_executable(${BIN_NAME}

=== tests/lightdm-deepin-greeter/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,7 @@
     ${PROJECT_SOURCE_DIR}/src/lightdm-deepin-greeter/logincontent.cpp
     ${PROJECT_SOURCE_DIR}/src/lightdm-deepin-greeter/logintipswindow.cpp
     ${PROJECT_SOURCE_DIR}/src/lightdm-deepin-greeter/sessionwidget.cpp
+    ${PROJECT_SOURCE_DIR}/src/global_util/signal_bridge.h
 )
 
 add_executable(${BIN_NAME}

=== plugins/assist_login/interface/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)
project(assist_Login_interface)

set(CMAKE_CXX_STANDARD 11)

find_package(Qt5 COMPONENTS Network REQUIRED)
find_package(PkgConfig REQUIRED)

pkg_check_modules(SSL REQUIRED IMPORTED_TARGET libcrypto libssl openssl)

set(LIB_NAME assist_Login_interface)


# 添加动态库源文件
add_library(${LIB_NAME} SHARED include/assist_login_interface.h src/assist_login_interface.cpp)

target_link_libraries(${LIB_NAME}
        Qt5::Network
        ${Qt_LIBS}
        PkgConfig::SSL)

# 将包含目录添加到 mylib 目标中
target_include_directories(${LIB_NAME} PUBLIC include)

link_libraries(

)

# 安装/user/lib
install(FILES include/assist_login_interface.h DESTINATION /usr/include/dde-session-shell)
install(TARGETS ${LIB_NAME} LIBRARY DESTINATION lib/dde-session-shell/modules)

=== plugins/examples/tray-plugins/network/CMakeLists.txt ===
include_directories(
    global
)

link_libraries(
    ${Qt_LIBS}
)

set(LIB_NAME network)

aux_source_directory(. SRCS)

add_library(${LIB_NAME} SHARED ${SRCS})

install(TARGETS ${LIB_NAME} LIBRARY DESTINATION lib/dde-session-shell/modules)

=== plugins/examples/tray-plugins/webview/CMakeLists.txt ===
find_package(QT NAMES Qt6 Qt5 COMPONENTS Widgets WebEngineWidgets REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Widgets WebEngineWidgets REQUIRED)

include_directories(
    ${DFrameworkDBus_INCLUDE_DIRS}
    global
)

link_libraries(
    ${Qt_LIBS}
)

set(LIB_NAME webview)

aux_source_directory(. SRCS)

# add_library(${LIB_NAME} STATIC ${SRCS})

add_library(${LIB_NAME} SHARED ${SRCS})

target_link_libraries(${LIB_NAME} PRIVATE
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::WebEngineWidgets
)

install(TARGETS ${LIB_NAME} LIBRARY DESTINATION lib/dde-session-shell/modules)

=== debian/changelog ===
dde-session-shell (6.0.49) unstable; urgency=medium

  * sync: from linuxdeepin/dde-session-shell
  * sync: from linuxdeepin/dde-session-shell

 -- wujiangyu <wujiangyu@uniontech.com>  Thu, 23 Oct 2025 16:00:57 +0800

dde-session-shell (6.0.48) unstable; urgency=medium

  * chore: remove unused Spanish translation files
  * sync: from linuxdeepin/dde-session-shell
  * sync: from linuxdeepin/dde-session-shell
  * sync: from linuxdeepin/dde-session-shell
  * sync: from linuxdeepin/dde-session-shell

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 18 Sep 2025 21:01:20 +0800

dde-session-shell (6.0.47) unstable; urgency=medium

  * sync: from linuxdeepin/dde-session-shell (#461)
  * sync: from linuxdeepin/dde-session-shell (#459)
  * sync: from linuxdeepin/dde-session-shell
  * sync: from linuxdeepin/dde-session-shell
  * sync: from linuxdeepin/dde-session-shell (#456)
  * sync: from linuxdeepin/dde-session-shell

 -- Wang Zichong <wangzichong@deepin.org>  Fri, 12 Sep 2025 14:01:07 +0800

dde-session-shell (6.0.46) unstable; urgency=medium

  * Sync: from linuxdeepin/dde-session-shell

 -- zyz <zhaoyingzhen@uniontech.com>  Fri, 05 Sep 2025 09:36:55 +0800

dde-session-shell (6.0.45) unstable; urgency=medium

  * Sync: from linuxdeepin/dde-session-shell

 -- zyz <zhaoyingzhen@uniontech.com>  Thu, 28 Aug 2025 18:29:17 +0800

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  libx11-xcb-dev,
  libssl-dev,
 Standards-Version: 3.9.4
-Homepage: http://www.deepin.org/
+Homepage: https://github.com/linuxdeepin/dde-session-shell-snipe
 
 Package: dde-session-shell
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 #export DH_VERBOSE=1
 export QT_SELECT=5
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -Wall
+export DEB_CXXFLAGS_MAINT_APPEND = -Wall
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,relro -Wl,-z,now -Wl,-z,noexecstack -Wl,-E
 
 include /usr/share/dpkg/default.mk
 SYSTYPE=Desktop

## dde-session-shell 6.0.50

=== CMakeLists.txt ===
--- 
+++ 
@@ -184,7 +184,6 @@
         "${CMAKE_SOURCE_DIR}/xml/snipe/org.deepin.dde.Accounts1.User.xml userinterface"
         "${CMAKE_SOURCE_DIR}/xml/snipe/org.deepin.dde.ImageEffect1.xml imageeffect1interface"
         "${CMAKE_SOURCE_DIR}/xml/snipe/org.deepin.dde.Logined.xml loginedinterface"
-        "${CMAKE_SOURCE_DIR}/xml/snipe/org.deepin.dde.PowerManager1.xml powermanager1interface"
         "${CMAKE_SOURCE_DIR}/xml/snipe/org.deepin.dde.SystemPower1.xml systempower1interface"
         "${CMAKE_SOURCE_DIR}/xml/snipe/com.deepin.wm.xml wminterface"
         "${CMAKE_SOURCE_DIR}/xml/snipe/org.deepin.dde.Authenticate1.Session2.xml session2interface"
@@ -363,3 +362,7 @@
 
 if (WAIT_DEEPIN_ACCOUNTS_SERVICE)
     target_compile_definitions(lightdm-deepin-greeter
+        PUBLIC ENABLE_WAITING_ACCOUNTS_SERVICE
+    )
+endif()
+

=== debian/changelog ===
dde-session-shell (6.0.50) unstable; urgency=medium

  * sync: from linuxdeepin/dde-session-shell

 -- caixiangrong <caixiangrong@uniontech.com>  Thu, 06 Nov 2025 16:35:16 +0800
